Subject: Ticket Assigned - My Account
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 05 Nov 2022 10:10:18 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account Dear All,
I am trying for the last 2 hrs to do the online payment dated 19/10/2022 between 7.30pm to 9.30 pm for click and collect through debit card - Benefit option , but after clicking make payment, it’s appearing error . 
Earlier I did the payments through this option only. I never faced such problems. 

Please resolve my queries. Many items are there in the basket to purchase. 

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5023683